Name: ktraynetworker
Version: 0.8c
Release: alt1
Group: Monitoring
Summary: KDE tray icon Network activity monitor
URL: http://www.xiaprojects.com/www/prodotti/ktraynetworker/main.php
License: GPL2
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: themes.tar.bz2

Patch0: %name-0.8-alt-names.patch

# Automatically added by buildreq on Tue Dec 07 2004
BuildRequires: fontconfig freetype2 gcc-c++ hostinfo kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer xml-utils xorg-x11-devel xorg-x11-libs zlib-devel

%description
This program will help you to view network activity on your network device such
as eth0, ppp0 and so on. It put animated, graduated, icons near the KDE tray.

%prep
%setup -q -n %name-%version

%patch0 -p0

%__subst 's,\.la,.so,g' configure

%build
%configure \
    --disable-rpath
%make_build

%install
%make DESTDIR=%buildroot install

%__mkdir %buildroot%_datadir/apps/%name/themes
%__tar -xjf %SOURCE1 -C %buildroot%_datadir/apps/%name/themes
find %buildroot%_datadir/apps/%name/themes -type f -name \*.psd | xargs %__rm -f
find %buildroot%_datadir/apps/%name/themes -type f | xargs chmod 644

# create menus
%__mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Monitoring" \
    %buildroot/%_datadir/applnk/Utilities/%name.desktop \
    %buildroot/%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_datadir/apps/%name
%_datadir/applnk/Utilities/%name.desktop
%_iconsdir/*/*/apps/%name.png
%_datadir/doc/HTML/*/%name
%_menudir/%name

%changelog
* Tue Apr 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.8c-alt1
- 0.8c

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.8b-alt1.1
- Rebuilt with libstdc++.so.6.

* Sun Dec 12 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.8b-alt1
- 0.8b
- add new themes

* Tue Dec 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.8-alt1
- initial release

